{{#includes}}
#include{{name}}
{{/includes}}

{{#data_description}}
    struct {{name}} {
        {{#fields}}
        {{type}} {{name}};
        {{/fields}}
    };
{{/data_description}}

{{#data}}
    {{type}} {{name}}[] = { 
    {{#elem}}
        .wcet = {{wcet}}
        .period = {{period}}
        .deadline = {{deadline}}
        .periodical = {{periodical}}
        .ticktype = {{ticktype}}
    {{/elem}}
    };
{{/data}}

{{#executions}}
int executions = 500;
{{/executions}}
{{^executions}}
int executions = 1;
{{/executions}}
